Listar webhooks
curl --request GET \
--url https://api.upag.io/v1/webhooks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/webhooks';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Endpoints
Listar webhooks
Lista webhooks da conta
GET
https://api.upag.io
/
v1
/
webhooks
Listar webhooks
curl --request GET \
--url https://api.upag.io/v1/webhooks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/webhooks';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Endpoint
curl -G https://api.upag.io/v1/webhooks \
-H "Authorization: Bearer sk_test_your_api_key" \
-d "limit=20" \
-d "offset=0"
Resposta
200 OK
Response
{
"data": [
{
"id": "aa0e8400-e29b-41d4-a716-446655440000",
"description": "Order events",
"active": true,
"url": "https://example.com/webhooks",
"headers": {},
"events": ["charge.paid"],
"createdAt": "2026-03-18T09:00:00.000Z",
"updatedAt": "2026-03-18T09:00:00.000Z"
}
],
"count": 1
}